const rq = require('request-promise');

exports.queryAuth = async function (fileName) {
  var options = {
    uri: 'https://bmatch.unreach.io/service/oss/uploadSTS',
    method: 'POST',
    json: true
  };
  let response = await rq(options);
  if (response.isSuccess) {
    return response.data
  } else {
    console.error("error: query oss auth error " + response.message);
    return null;
  }
}