var fs = require('mz/fs');
var path = require('path');

exports.mkdirs = async dirname => {
  let exist = await fs.exists(dirname)
  if (exist) {
    return true;

  } else {
    if (await this.mkdirs(path.dirname(dirname))) {
      await fs.mkdir(dirname);
      return true;
    };
  }
}

exports.removeDir = async dir => {
  let files = await fs.readdir(dir)
  for (var i = 0; i < files.length; i++) {
    let newPath = path.join(dir, files[i]);
    let stat = await fs.stat(newPath)
    if (stat.isDirectory()) {
      //如果是文件夹就递归下去
      await this.removeDir(newPath);
    } else {
      //删除文件
      await fs.unlink(newPath);
    }
  }
  //如果文件夹是空的，就将自己删除掉
  await fs.rmdir(dir)
}
