const rp = require('request-promise');

exports.checkBaseResponse = function(baseResponse) {
  return baseResponse && baseResponse.isSuccess;
};

exports.request = async function(apiName, data) {
  var options = {
    method: 'POST',
    uri: 'http://api.qingguatang.com/api',
    body: {
      apiName: apiName,
      param: JSON.stringify(data || {})
    },
    json: true
  };

  let response = await rp(options);
  if (response.code === 200 && response.data) {
    return JSON.parse(response.data);
  }
  return null;
};
